Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete image relationship

Removes an image relationship between an image and a product, variant, or attribute Deprecated: use DELETE /api/v2/{team_slug}/{app_slug}/dam/images/items instead.

DELETE/api/v1/{team_slug}/{app_slug}/images/{image_id}/relationshipdeprecated
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

image_idstringrequired

Image ID

Request body
requiredapplication/json

Image relationship data

item_idstringrequired
Responses
200

Image deleted successfully

datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/images/string/relationship' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "item_id": "string"
}'
Response
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}